CREATE TABLE cst_perpavg_cost2_gt (
    TRANSACTION_ID       NUMBER(18, 0)    NOT NULL,
    REC_TRXN_ID          NUMBER(18, 0)    NOT NULL,
    DEP_TRXN_ID          NUMBER(18, 0)    NOT NULL,
    COST_ELEMENT_ID      NUMBER(18, 0)    NOT NULL,
    EXPENSE_POOL_ID      NUMBER(18, 0)    NOT NULL,
    EFF_DATE             TIMESTAMP(6)     NOT NULL,
    COST_DATE            TIMESTAMP(6)     NOT NULL,
    COST_ORG_ID          NUMBER(18, 0)    NOT NULL,
    COST_BOOK_ID         NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID    NUMBER(18, 0)    NOT NULL,
    VAL_UNIT_ID          NUMBER(18, 0)    NOT NULL,
    UNIT_COST_ONHAND     NUMBER       ,
    UNIT_COST_NEW        NUMBER       ,
    UNIT_COST_ADJUST     NUMBER       ,
    CURRENCY_CODE        VARCHAR2(120),
    TRANSACTION_ID       NUMBER(18, 0)    NOT NULL,
    REC_TRXN_ID          NUMBER(18, 0)    NOT NULL,
    DEP_TRXN_ID          NUMBER(18, 0)    NOT NULL,
    COST_ELEMENT_ID      NUMBER(18, 0)    NOT NULL,
    EXPENSE_POOL_ID      NUMBER(18, 0)    NOT NULL,
    EFF_DATE             TIMESTAMP(6)     NOT NULL,
    COST_DATE            TIMESTAMP(6)     NOT NULL,
    COST_ORG_ID          NUMBER(18, 0)    NOT NULL,
    COST_BOOK_ID         NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID    NUMBER(18, 0)    NOT NULL,
    VAL_UNIT_ID          NUMBER(18, 0)    NOT NULL,
    UNIT_COST_ONHAND     NUMBER       ,
    UNIT_COST_NEW        NUMBER       ,
    UNIT_COST_ADJUST     NUMBER       ,
    CURRENCY_CODE        VARCHAR2(120)
);
